# Merchant Accounts Merchant Accounts ## Gets all of the merchant accounts in the system. - [GET /merchantAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/listmerchantaccounts.md): This method will scan all merchant accounts and and return them to the caller. ## Creates a new merchant account record that does not already exist. - [POST /merchantAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/createmerchantaccount.md): This method will auto-generate an ID and create a new merchant account. If an ID is specified for the merchant account, an error will be thrown. ## Execute Batch Operations - [POST /merchantAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the merchant accounts in the system. - [GET /merchantAccounts/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/listmerchantaccountspublic.md): This method will scan all merchant accounts and and return them to the caller. ## Returns a merchant account from the system by its ID. - [DELETE /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/deletemerchantaccount.md): This method will delete a merchant account with the specified ID. ## Returns a merchant account from the system by its ID. - [GET /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/getmerchantaccount.md): This method will look up a merchant account by the specified ID and return it back. ## Partially updates a merchant account with the specified ID. - [PATCH /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/patchmerchantaccount.md): This method will patch an existing merchant account with the specified ID, using the HTTP PATCH specification. ## Updates a merchant account with the specified ID. - [PUT /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/updatemerchantaccount.md): This method will update an existing merchant account with the specified ID.